Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Refcounted_Hash_Recyclable< T > Class Template Reference

`#include <Strategies_T.h>`

Inheritance diagram for ACE_Refcounted_Hash_Recyclable< T >:

[legend]
Collaboration diagram for ACE_Refcounted_Hash_Recyclable< T >:

[legend]
List of all members.

## Public Methods
| ACE_Refcounted_Hash_Recyclable (void)
| Default constructor.
| ACE_Refcounted_Hash_Recyclable (const T &t, int refcount=0, ACE_Recyclable_State state=ACE_RECYCLABLE_UNKNOWN)
| Constructor.
virtual | ~ACE_Refcounted_Hash_Recyclable (void)
| Destructor.
int | operator== (const ACE_Refcounted_Hash_Recyclable< T > &rhs) const
| Compares two instances.
int | operator!= (const ACE_Refcounted_Hash_Recyclable< T > &rhs) const
T & | subject ()
## Protected Methods
u_long | hash_i (void) const
| Computes and returns hash value.
## Protected Attributes
T | t_

### template<class T>
class ACE_Refcounted_Hash_Recyclable< T >

## Constructor & Destructor Documentation

template<class T>
ASYS_INLINE ACE_Refcounted_Hash_Recyclable< T >::ACE_Refcounted_Hash_Recyclable | ( | void |  | ) |

| Default constructor.

template<class T>
ASYS_INLINE ACE_Refcounted_Hash_Recyclable< T >::ACE_Refcounted_Hash_Recyclable | ( | const T & | t,
|  | int | refcount = 0,
|  | ACE_Recyclable_State | state = ACE_RECYCLABLE_UNKNOWN
| ) |

| Constructor.

template<class T>
ASYS_INLINE ACE_Refcounted_Hash_Recyclable< T >::~ACE_Refcounted_Hash_Recyclable | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

template<class T>
ASYS_INLINE u_long ACE_Refcounted_Hash_Recyclable< T >::hash_i | ( | void |  | ) | const`[protected, virtual]`

| Computes and returns hash value. Implements ACE_Hashable.

template<class T>
ASYS_INLINE int ACE_Refcounted_Hash_Recyclable< T >::operator!= | ( | const ACE_Refcounted_Hash_Recyclable< T > & | rhs | ) | const

template<class T>
ASYS_INLINE int ACE_Refcounted_Hash_Recyclable< T >::operator== | ( | const ACE_Refcounted_Hash_Recyclable< T > & | rhs | ) | const

| Compares two instances.

template<class T>
ASYS_INLINE T & ACE_Refcounted_Hash_Recyclable< T >::subject | ( |  | ) |

## Member Data Documentation

template<class T>
T ACE_Refcounted_Hash_Recyclable< T >::t_`[protected]`

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Strategies_T.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Strategies_T.i